#!/bin/bash

SOUND_PATH="$1"
if [ -z "$1" ]; then
  echo "No sound argument, use full sound file path OR fly-wm sound parameter name for example ForceTrayMessageSound"
  exit 1
fi
if [ ! -f "$SOUND_PATH" ]; then
  SOUND_PATH=$(fly-wmfunc FLYWM_SOUND_GET "$1")
fi
if [ ! -f "$SOUND_PATH" ]; then
  echo "No sound path found for $1, use full sound file path OR fly-wm sound parameter name for example ForceTrayMessageSound"
  exit 2
fi

if [ -x /usr/bin/play ]; then
 SOUND_PLAYER="/usr/bin/play -q"
else
 if [ -x /usr/bin/sndfile-play ]; then
   SOUND_PLAYER="/usr/bin/sndfile-play"
 else
   echo "No sound player found"
   exit 3
 fi
fi

#echo player command is $SOUND_PLAYER $SOUND_PATH
$SOUND_PLAYER "$SOUND_PATH"
